Page 4 of 25 FirstFirst ... 2345614 ... LastLast
Results 31 to 40 of 246
  1. #31
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    The only thing i have done is
    - clean install of 1.5.5
    - import the database from my live site (1.5.0)
    - add the French language mod

    That is all i had done. Or are you referring to modifications that would have happened to the live store database? (that one shows the country correctly)


    Would you be so kind as to point out where that might be. Which directory? I either never had to touch that, or i already forgot after so many years of not touching it.
    Referring to the live store database that has become this test store's database and as discussed earlier should have been upgraded by reloading the zc_install folder from a vanilla copy of the matching ZC 1.5.5 version installed and then accessing the zc_install directory from your browser.

    The directory is the same as where the mydebug files were found (/logs). When (if) the zc_install was performed install-xxx logs would have been generated.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  2. #32
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Btw, stated early on that ZC 1.5.5 is installed, but which of the sub-versions is it if any? Ie. 1.5.5 or one of the 1.5.5a through e?
    Also (related to the posting tips) was it an autoinstaller say as provided by your host, or was it downloaded from the ZC site?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #33
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Referring to the live store database that has become this test store's database and as discussed earlier should have been upgraded by reloading the zc_install folder from a vanilla copy of the matching ZC 1.5.5 version installed and then accessing the zc_install directory from your browser.
    Can I still do it at this point?

    Also (related to the posting tips) was it an autoinstaller say as provided by your host, or was it downloaded from the ZC site?
    I took the "easy" route and used my host autoinstaller. However, the db import had to be done by the host (manually) because there is a limit of 50MB for file size and the export from the live site was 112MB.

  4. #34
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    Can I still do it at this point?


    I took the "easy" route and used my host autoinstaller. However, the db import had to be done by the host (manually) because there is a limit of 50MB for file size and the export from the live site was 112MB.
    To the question of can you do now? Yup.


    But there are possibly a couple issues with the existing new fileset. The fileset that is installed may not be up-to-date with the latest version which there also may not be a zc_install folder "from them" to support the database upgrade (which also may not have the applicably revised upgrade scripts). Don't get me wrong, can be quite helpful to let that auto system do an initial install, but then to be followed up with an approved install/fileset...
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  5. #35
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Well, i did it (ran the zc_install to "upgrade"), yet, i am still getting the same warning for the Country field when i access the login/register page. And the log file is still identical.

    http://challengemehq.com

  6. #36
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Now wondering if it would be more productive to scratch it all and start from zero with a manual install. I would still have to import the db though, right? (which would take time to wait for my host).

  7. #37
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Before doing such drastic things as scrapping what you have, is to understand what you have.

    From your admin if you select the option version in the upper right, the top part of the screen should identify the upgrade history as well as the current version.

    As to what has been done, can you be more specific about the source of the upgrade script (zc_install)? A lot can be (mis)interpreted by leaving out detail. Example of that is the previous statement that the database was imported. When one is discussing an upgrade and indicating that following provided instruction, it could be considered that one or another action has been completed. Unfortunately, only the actual action had been performed not all of the other parts that go with that...

    As to whether a copy of the live database would be needed to be installed depends on the status/condition of the existing backup of the database. If it is indicated that it has already been updated and a ZC version of the files were used, then review of the install logs would be pertinent to identify why the status field was not included as part of the upgrade, otherwise may end up doing a bunch of work for nothing.

    Now, certainly would be a good idea to create another database in which your host could get started with another import (don't know if have tried using a zip version of the data or from within phpmyadmin had it do the copy/transfer of your live site to a new database etc...) that way you have another backup available and at your disposal to again practice this portion of the upgrade...
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  8. #38
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    I agree. I need to be more clear. So here is what i have done so far (and you tell me where i might have faulted or where i might still be unclear).

    - i had an unused domain, challengemehq.com
    - in the cPanel of my host, they have Softaculous app installer; it installed 1.5.5e, released of 02-03-2017
    - following DrByte's instructions, i exported the db from my live site
    - i went to import the db to this new install; the file was too big so i had to submit a ticket to my host to import it for me
    - when they said it was imported, nothing had changed in the "blank" store so i contacted them again about it. This is what they replied:

    "One slight inconsistency we were able to locate was in regard to the database's prefix setting. From the database configuration files in the site we were seeing that it was set to use the prefix "zenng_" which does exist within the database, but there is additionally a prefix "zen_" in this database as well. I've updated the site configuration to match this second prefix to test if this is where the site information is located, but am not able to access the dashboard once the database prefix was updated. Could you please check the site at this time to confirm if you are still experiencing issues with missing information within the site? "

    and sure enough, i was not able to log in anymore, but they resolved the issue by creating a new admin login, that is now working.

    - i tried to undertand the instructions to install the All-in-One mod that i had purchased (not from here) and since it was not clear to me, i had posted in here where DrByte suggested i drop that mod for now to concentrate on others that i had, which i did (i had not uploaded any file of that mod yet).
    - i installed the French Language mod.
    - i started the process for the One-Page Checkout mod, but wanted to create a test user first (not realizing that i had some from the db import.. duh!) and that is when i noticed the Warning for Country.

    So this morning, i downloaded the zencart 1.5.5e from this site, copied the zc_install folder, ran it in my browser, chose Upgrade, removed the folder, and now i am here with the same error.

    As for the version history, here is what i have:
    Zen Cart 1.5.5e
    Database Patch Level: 1.5.5
    v1.5.5e [2017-08-24 10:13:06] (Version Update 1.5.4->1.5.5e)
    v1.5.4 [2017-08-24 10:13:05] (Version Update 1.5.3->1.5.4)
    v1.5.0 [2012-02-23 07:42:30] (Version Update 1.3.9->1.5.0)
    v1.3.9h [2011-01-27 15:29:47] (Version Update 1.3.8->1.3.9h)
    v1.3.8 [2009-02-13 04:51:56] (Fresh Installation)
    v1.3.8 [2009-02-13 04:51:56] (Fresh Installation)

    Sorry to be a bit dense. I am trying really hard and i know that i can make it with all your help. I just need a bit of hand holding to get started on the right foot.

  9. #39
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    6,341
    Plugin Contributions
    8

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    One thing with the autoinstaller is that it loaded the original release of 1.5.5e. There have been a few changes since that release.

    There's probably no need to wipe the slate and start over but you may need to read posts 10 and 11 at https://www.zen-cart.com/showthread....14#post1326914.

    It just might be that one of those changes (since it involves database function) might fix your problem.

    If you decide to do the start-over route, top priority is to get the 1.5.5e release dated 03/08/2017. Second is finding out if you have cpanel or access to phpMyAdmin in some way. Either could be used to "get around" the file limit. Transferring "on site" generally defaults to 128M on most standard Apache installs.

  10. #40
    Join Date
    Jul 2012
    Posts
    11,627
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    The community is helpful to those that help themselves and when able others. You're doing a fine job and thank you for answering that question with the detail provided.

    Two things I see right now and it is something you will need to come to understand to successfully update your live store when the time comes.

    1. Where did the third database prefix come from? (ie. Expect that one set of tables came from the auto-installer, one definitely came from your live site, but there is a third. Does the database in you site have 2 sets of tables (2 prefixed groups) or just one?)

    If two, again back to drbyte's previous comment: look at the includes/configure.php file of your live site for DB_PREFIX. That value is what should be in your upgrade site in the same file. (don't change it without further discussion is a recommendation at this point)

    The other issue is that the three other upgrade steps did not get performed. Namely 1.5.0 to 1.5.1, 1.5.1 to 1.5.2 and 1.5.2 to 1.5.3.

    So question is when doing the database upgrade today, we're those three checkboxes marked (automatically) or were they manually unchecked, etc... ie. why were they omitted in the process. Part of the answer to that may lie in a question previously asked about what plugins had been installed in the "old" database.

    Minor "background". The installer spot checks some database characteristics to identify the "need" of each upgrade step. If the sought data is found then none of the other changes are made. Therefore a plugin may have updated something in the database to cause the installer to skip an upgrade step.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

 

 
Page 4 of 25 FirstFirst ... 2345614 ... LastLast

Similar Threads

  1. Replies: 1
    Last Post: 15 Feb 2013, 07:42 AM
  2. v150 Need to re-do my upgrade - but need help!
    By annieh in forum Upgrading to 1.5.x
    Replies: 0
    Last Post: 14 Jun 2012, 01:32 AM
  3. Do i need to upgrade from 1.3.8a?
    By creamcrackers in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Oct 2010, 05:21 AM
  4. Need help with upgrade from 1.3.7 to 1.3.8
    By josee225 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Sep 2009, 09:45 PM
  5. Need help upgrade from 1.3.7 to 1.3.8
    By lennypeng in forum Upgrading from 1.3.x to 1.3.9
    Replies: 17
    Last Post: 16 Nov 2008, 11:53 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR